Problem for Compile pfsense 2.1 on freebsd 9.0



  • i followed all http://devwiki.pfsense.org/DevelopersBootStrapAndDevIso steps for compile custom kernel for pfsense ,but when i execute ./apply_kernel_patches.sh i got below error message:

    Setting CVSUp host to cvsup3.freebsd.org
    Removing old patch rejects…
    Removing original files ...
    Obtaining FreeBSD sources RELENG_9_0-supfile...Done!
    Removing needed files listed in patches.RELENG_9_0 HEAD
    Applying patches from /home/pfsense/tools/builder_scripts/../builder_scripts/patches.RELENG_9_0 please wait..../apply_kernel_patches.sh: cannot open /home/pfsense/tools/builder_scripts/../patches/RELENG_9_0/if_ethersubr.c.diff: No such file or directory
    failed to apply if_ethersubr.c.diff
    No file to patch.  Skipping...
    1 out of 1 hunks ignored--saving rejects to conf/files.amd64.rej
    Can't create conf/files.amd64.rej, output is in /tmp//patchrlgz6jB: No such file or directory
    No file to patch.  Skipping...
    1 out of 1 hunks ignored--saving rejects to conf/files.i386.rej
    Can't create conf/files.i386.rej, output is in /tmp//patchrlgz6jB: No such file or directory
    No file to patch.  Skipping...
    1 out of 1 hunks ignored--saving rejects to conf/kmod.mk.rej
    Can't create conf/kmod.mk.rej, output is in /tmp//patchrlgz6jB: No such file or directory
    No file to patch.  Skipping...
    1 out of 1 hunks ignored--saving rejects to modules/Makefile.rej
    Can't create modules/Makefile.rej, output is in /tmp//patchrlgz6jB: No such file or directory
    failed to apply FreeBSD-VirtIO-0001.obj
    Done!

    Finding patch rejects...


  • Netgate Administrator

    pfSense 2.1 is built on FreeBSD 8.3.
    There is no current version that will build on FreeBSD 9.X

    Steve



  • so why in ./set_version.sh script there is "FreeBSD 9.0 + HEAD" ???


  • Netgate Administrator

    Initially 2.1 was going to be built on FreeBSD 9.0. In fact there were a number of builds that were tested. However there were problems that proved too difficult to overcome in a reasonable time frame and hence 8.3 is now the base OS.

    Steve


Log in to reply